/*
Copyright (C) 2006-2007 the DSQuake project.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/
#include "EndPoint.h"

EndPoint::EndPoint()
:m_bValid(false)
{
}

bool EndPoint::IsValid() const
{
	return m_bValid;
}

bool EndPoint::HasSameAddress(const EndPoint*in_EndPoint) const
{
	return false;
}

int EndPoint::BindSocketLocal(int in_Socket) const
{
	return -1;
}

bool EndPoint::HasSockAddress(const sockaddr*in_RemoteAddress, const int in_AddrLen) const
{
	return false; 
}

EndPoint_Type EndPoint::GetType() const
{
	return EPT_Unknown;
}
