/*
Copyright (C) 2006-2007 the DSQuake project.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/
#ifndef _PROXYBASE_H_
#define _PROXYBASE_H_

class RemoteLink;
class EndPoint;

class ProxyBase
{
	private:
		unsigned int m_LinkIDCounter;
	public:
		ProxyBase();
		unsigned int AssignNewLinkID();
		virtual RemoteLink*GetNextLinkInRoute(unsigned int in_LANID, unsigned int in_LinkID)=0;
		virtual void AddRoutingEntry(unsigned int in_LANID, unsigned int in_LinkID, RemoteLink*in_Link)=0;
		virtual RemoteLink*AddNewDynamicLinkTo( EndPoint*in_RemoteEndPoint )=0;
};

#endif // _PROXYBASE_H_
