@REM Run this .bat file to start up QuakeTunnel in Server mode, ie it'll connect to
@REM your Quake server, and the QuakeTunnel Client will connect to it.
@REM
@REM Replace the line with the correct IPs. Syntax is :
@REM
@REM quaketunnel.exe sv QUAKETUNNELCLIENT_IP:PORT QUAKESERVER_IP:PORT
@REM
@REM QuakeTunnelClient_IP is the EXTERNAL IP of the QuakeTunnel Client.
@REM For now only one client can be connected per Tunnel server.
@REM It's unfortunate that the server needs to know about the client,
@REM but it's necessary to be able to bypass NAT routers transparently.
@REM
@REM The QuakeTunnel Client must be configured with your external IP as its target,
@REM with the SAME port you specified here.
@REM
@REM The Quake server IP must be joinable from the QuakeTunnel Server.
@REM
@REM Note: Make sure that you specify the right IP that the Quake Server bound itself to.
@REM You can check that address by typing STATUS in the console of the Quake Server.
@REM For instance if Quake bound itself to 192.168.0.1, it won't respond if you
@REM try to connect to it on 127.0.0.1.

quaketunnel.exe sv 1.2.3.4:22000 5.6.7.8:26000
