/*
Copyright (C) 2006-2007 the DSQuake project.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/
#ifndef _QP_NETWORK_H_
#define _QP_NETWORK_H_

const int QP_MAX_NAME = 32;
const int QP_KEEPALIVE_DELAY = 1000;

const int QP_MSG_SIZE_OFFSET = 0;
const int QP_MSG_CODE_OFFSET = 2;
const int QP_MSG_HEADER_SIZE = 3;

const int QP_MSG_FORWARD_SRC_LINKID_OFFSET   = 0;
//const int QP_MSG_FORWARD_DST_LANID_OFFSET    = 4;
const int QP_MSG_FORWARD_DST_LINKID_OFFSET   = 4;
const int QP_MSG_FORWARD_PORT_REPLACE_OFFSET = 8;
const int QP_MSG_FORWARD_HEADER_SIZE         = 10;

const unsigned int QP_LINK_ID_INVALID     = 0;
const unsigned int QP_LINK_ID_QUAKESERVER = 1;
const unsigned int QP_LINK_ID_FIRST       = 32;

const unsigned int QP_LAN_ID_INVALID = 0;
const unsigned int QP_LAN_ID_SERVER  = 1;
const unsigned int QP_LAN_ID_SELF    = 2;
const unsigned int QP_LAN_ID_FIRST   = 32;

int GetTimeMSecs();
int InitNetwork();

#endif // _QP_NETWORK_H_
